Loading...
Searching...
No Matches
fastjet::ClusterSequence::Extras Class Reference
Access to extra information

base class to store extra information that plugins may provide More...

`#include <fastjet/ClusterSequence.hh>`

Inheritance diagram for fastjet::ClusterSequence::Extras:
[legend]

## Public Member Functions

virtual std::string | description () const

## Detailed Description

base class to store extra information that plugins may provide

a class intended to serve as a base in case a plugin needs to associate extra information with a ClusterSequence (see SISConePlugin.* for an example).

Definition at line 355 of file ClusterSequence.hh.

## Constructor & Destructor Documentation

## ~Extras()

virtual fastjet::ClusterSequence::Extras::~Extras | ( |  | ) |

inline virtual

Definition at line 357 of file ClusterSequence.hh.

## Member Function Documentation

## description()

virtual std::string fastjet::ClusterSequence::Extras::description | ( |  | ) | const

inline virtual

Reimplemented in fastjet::SISConeBaseExtras.

Definition at line 358 of file ClusterSequence.hh.

The documentation for this class was generated from the following file:

- include/fastjet/ClusterSequence.hh